module ExtForm
  module Wrappers
    module ManyMixin
      extend ActiveSupport::Concern
      include Mixin

      included do
        def render_with_layout(input)
          wrap_style_options(input, @defaults[:layout], namespace) if @defaults[:layout]
          render_without_layout(input)
        end

        alias_method_chain :render, :layout
      end

    end
  end
end