module ExtForm
  module Helpers
    module Tags

      class AutoComplete < ActionView::Helpers::Tags::TextField
        def render
          output = super

          html_options = {}
          add_default_name_and_id(html_options)

          output << @template_object.javascript_tag do
            "$(function(){$('##{html_options['id']}').trigger('auto_complete_load');});".html_safe
          end
          output.html_safe
        end

        def self.field_type
          'text'
        end
      end

    end
  end
end